<?php // $Id$

class block_cmsnavigation extends block_base {
    function init() {
        $this->title = get_string('cmsnavigation','cms');
        $this->content_type = BLOCK_TYPE_TEXT;
        $this->version = 2005020301;
    }

    function specialization() {
        // We allow empty titles
        $this->title = isset($this->config->title) ? $this->config->title : '';
    }

    function instance_allow_multiple() {
        return true;
    }

    function get_content() {

        global $CFG, $USER;


        $pageid = optional_param('pid', 0, PARAM_INT);

        $cmslib = $CFG->dirroot .'/cms/cmslib.php';
        include_once($cmslib);
        $menuid   = isset($this->config->menu) ? $this->config->menu : 1;
        $navidata = cms_get_navi($menuid);

        if ($this->content !== NULL) {
            return $this->content;
        }

        $this->content = new stdClass;
        $this->content->text = '';

        if (is_array($navidata)) {
            foreach ($navidata as $navi) {
                $this->content->text .= ($pageid != $navi->pageid) ?
                    ((empty($_GET['pid']) && $navi->isfp) ? "<strong>&raquo; $navi->title</strong><br />\n" :
                    "&raquo; <a href=\"$CFG->wwwroot/?pid=$navi->pageid\">$navi->title</a><br />"):
                    "<strong>&raquo; $navi->title</strong><br />\n";
            }
        }

        if ($this->edit_controls !== NULL) {

            $stradmin = get_string('admin');
            // TODO: Replace style definition to class
            // and put it in css file.
            $this->content->footer  = '<a style="font-size: x-small;" href="';
            $this->content->footer .= $CFG->wwwroot .'/cms/index.php?sesskey=';
            $this->content->footer .= $USER->sesskey .'">'. $stradmin .'...</a>';

        } else {

            $this->content->footer = '';

        }

        return $this->content;

    }
}

?>